import wx 

def create_frame(currentDocument, view, pattern_str='', title='', name_field=''):
    app = wx.PySimpleApp()
    frame = MyFrame(currentDocument=currentDocument, view=view,
                    pattern_str=pattern_str, title=title,
                    name_field=name_field)
    frame.Show(True)
    app.MainLoop()


class MyFrame(wx.Frame):

    def __init__(self, currentDocument, view, pattern_str='', title='', name_field=''):
        wx.Frame.__init__(self, None, -1, title, size=(300, 60))
        panel = wx.Panel(self, -1)

        wx.StaticText(panel, -1, name_field, pos=(10, 10), size=(150, 25))
        self.posCtrl = wx.TextCtrl(panel, -1, "", pos=(100, 10))
        button = wx.Button(panel, label='Ok', pos=(200, 10),
                size=(50, 25))
        self.Bind(wx.EVT_BUTTON, self.OnPressButton, button)
        self.currentDocument = currentDocument
        self.view = view
        self.pattern_str = pattern_str

    def OnPressButton(self, event):
        class_name = self.posCtrl.GetValue()
        class_model = class_name.replace('Form', '')
        text = self.pattern_str % {'class_name': class_name, 'class_model':class_model}
        self.currentDocument.insertTextAtPosition(self.view.cursor.position, text)
        self.Close(True)
